<?xml version="1.0" encoding="utf-8" ?>
<configuration>
  <startup useLegacyV2RuntimeActivationPolicy="true">
    <supportedRuntime version="v3.5.7121"/>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/>
  </startup>

  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System" publicKeyToken="969db8053d3322ac" culture="neutral" />
        <bindingRedirect oldVersion="2.0.0.0" newVersion="3.5.0.0" />
      </dependentAssembly>
    </assemblyBinding>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Data" publicKeyToken="969db8053d3322ac" culture="neutral" />
        <bindingRedirect oldVersion="2.0.0.0" newVersion="3.5.0.0" />
      </dependentAssembly>
    </assemblyBinding>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Drawing" publicKeyToken="969db8053d3322ac" culture="neutral" />
        <bindingRedirect oldVersion="2.0.0.0" newVersion="3.5.0.0" />
      </dependentAssembly>
    </assemblyBinding>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Xml" publicKeyToken="969db8053d3322ac" culture="neutral" />
        <bindingRedirect oldVersion="2.0.0.0" newVersion="3.5.0.0" />
      </dependentAssembly>
    </assemblyBinding>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Windows.Forms" publicKeyToken="969db8053d3322ac" culture="neutral" />
        <bindingRedirect oldVersion="2.0.0.0" newVersion="3.5.0.0" />
      </dependentAssembly>
    </assemblyBinding>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.WindowsCE.Forms" publicKeyToken="969db8053d3322ac" culture="neutral" />
        <bindingRedirect oldVersion="2.0.0.0" newVersion="3.5.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>

  <system.serviceModel>
  <services>
    <service name="Neo.ApplicationFramework.Tools.Test.RunTimeTestServices.RunTimeTestAPIService">
      <host>
        <baseAddresses>
          <add baseAddress="net.pipe://localhost/RunTimeTestPipe"/>
        </baseAddresses>
      </host>
      <endpoint
        address="RunTimeTestAPIService"
        binding="netNamedPipeBinding"
        contract="Neo.ApplicationFramework.Interfaces.IRunTimeTestAPIService" />
    </service>

    <service name="Neo.ApplicationFramework.Tools.RunTimeTestAutomationFX.DynamicsTestAPIServiceFX">
      <host>
        <baseAddresses>
          <add baseAddress="net.pipe://localhost/DynamicsTestAutomationFX"/>
        </baseAddresses>
      </host>
      <endpoint
        address="DynamicsTestAPIServiceFX"
        binding="netNamedPipeBinding"
        contract="Neo.ApplicationFramework.Interfaces.TestAutomationFX.IDynamicsTestAPIServiceFX" />
    </service>
    
    <service name="Neo.ApplicationFramework.Tools.RunTimeTestAutomationFX.RecipeTestAPIServiceFX">
      <host>
        <baseAddresses>
          <add baseAddress="net.pipe://localhost/RecipeTestAutomationFX"/>
        </baseAddresses>
      </host>
      <endpoint
        address="RecipeTestAPIServiceFX"
        binding="netNamedPipeBinding"
        contract="Neo.ApplicationFramework.Interfaces.TestAutomationFX.IRecipeTestAPIServiceFX" />
    </service>

    <service name="Neo.ApplicationFramework.Tools.RunTimeTestAutomationFX.SchedulerTestAPIServiceFX">
      <host>
        <baseAddresses>
          <add baseAddress="net.pipe://localhost/SchedulerTestAutomationFX"/>
        </baseAddresses>
      </host>
      <endpoint
        address="SchedulerTestAPIServiceFX"
        binding="netNamedPipeBinding"
        contract="Neo.ApplicationFramework.Interfaces.TestAutomationFX.ISchedulerTestAPIServiceFX" />
    </service>

    <service name="Neo.ApplicationFramework.Tools.RunTimeTestAutomationFX.SecurityTestAPIServiceFX">
      <host>
        <baseAddresses>
          <add baseAddress="net.pipe://localhost/SecurityTestAutomationFX"/>
        </baseAddresses>
      </host>
      <endpoint
        address="SecurityTestAPIServiceFX"
        binding="netNamedPipeBinding"
        contract="Neo.ApplicationFramework.Interfaces.TestAutomationFX.ISecurityTestAPIServiceFX" />
    </service>

    <service name="Neo.ApplicationFramework.Tools.RunTimeTestAutomationFX.SymbolTestAPIServiceFX">
      <host>
        <baseAddresses>
          <add baseAddress="net.pipe://localhost/SymbolTestAutomationFX"/>
        </baseAddresses>
      </host>
      <endpoint
        address="SymbolTestAPIServiceFX"
        binding="netNamedPipeBinding"
        contract="Neo.ApplicationFramework.Interfaces.TestAutomationFX.ISymbolTestAPIServiceFX" />
    </service>
    </services>
    </system.serviceModel>
  </configuration>